{ pkgs, ... }:

let
  network = import ../../network.nix;
in {
  environment = {
    systemPackages = with pkgs; [ gopass home-manager ];

    sessionVariables = {
      # Prevent us from having to always type it out
      #NIXOS_CONFIG = "\${HOME}/Development/Personal/nixos-config/mikulinux.nix";
    }; 
    
    shells = [ pkgs.zsh ];
    pathsToLink = [ "/share/zsh" ];
  };

  networking.hosts = {
    "${network.miku}" = [ "miku.local" ];
    "${network.nishimiya}" = [ "nishimiya.local" ];
    "${network.ayame}" = [ "ayame.local" ];
    "${network.tamaki}" = [ "tamaki.local" ];
  };
}
